Page MenuHomePhabricator

Discussuing having evaluation rubric for the education program in Egypt
Closed, ResolvedPublic

Description

Discussing developing an evaluation rubric for students and ambassadors in the education program in Egypt.

Goal: Developing an effective evaluation rubric for transparent assessment

Result: After discussion, evaluation rubrics turned out to be a burden. Instead, we had the assessment criteria up on the course extension.

Originally created by User:Reem Al-Kashif

Event Timeline

TFlanagan-WMF raised the priority of this task from to Needs Triage.
TFlanagan-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 2:48 PM
Reem_Al-Kashif set Security to None.

@Reem_Al-Kashif thanks for claiming your task here on Phabricator :)

FloorKoudijs triaged this task as Normal priority.Sep 9 2015, 7:37 PM
FloorKoudijs added a subscriber: FloorKoudijs.
Reem_Al-Kashif renamed this task from Draft evaluation rubric for the education program in Egypt to Discussuing having evaluation rubric for the education program in Egypt.Sep 27 2015, 5:50 PM
Reem_Al-Kashif closed this task as Resolved.
Reem_Al-Kashif updated the task description. (Show Details)